com.fasterxml.jackson.core.util

## Class InternalJacksonUtil

- java.lang.Object
- - com.fasterxml.jackson.core.util.InternalJacksonUtil

    public abstract class InternalJacksonUtil
    extends Object

Internal Use Only. Helper class used to contain some useful utility methods.

Since:
  2.17.3 / 2.18.1

### Constructor Summary

Constructors
Constructor and Description
`InternalJacksonUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `addOverflowSafe(int base, int length)` Internal Use Only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalJacksonUtil

    public InternalJacksonUtil()

### Method Detail

#### addOverflowSafe

    public static int addOverflowSafe(int base,
                                      int length)

Internal Use Only.

Method that will add two non-negative integers, and if result overflows, return `Integer.MAX_VALUE`. For performance reasons, does NOT check for the result being less than `Integer.MIN_VALUE`, nor whether arguments are actually non-negative. This is usually used to implement overflow-safe bounds checking.